#1 Sony Bravia KDL 46w4500

closed-works-for-me
None
5
2008-11-26
2008-11-02
Stedy
No

I found that Sony Bravia KDL 46W4500 could not play MP3 from minidlna.

i then comment out lines 1128 to 1134 in upnphttp.c
after that my bravia play's all mp3 provided throug minidlna.

//if( (h->req_RangeStart > h->req_RangeEnd) || (h->req_RangeStart < 0) )
// {
// syslog(LOG_NOTICE, "Specified range was invalid!");
// Send400(h);
// close(sendfh);
// goto error;
// }

Output from minidlna when trying to play mp3.(before changes)

miniupnpd[8422]: HTTP connection from 10.0.0.4:61719
miniupnpd[8422]: HTTP REQUEST : HEAD /MediaItems/64$11 (HTTP/1.1)
ObjectId: 64$11 [/home/nn/ushare/klorin.mp3]
miniupnpd[8422]: HTTP connection from 10.0.0.4:61720
miniupnpd[8422]: HTTP REQUEST : GET /MediaItems/64$11 (HTTP/1.1)
Range Start-End: 0-0
ObjectId: 64$11 [/home/nn/ushare/klorin.mp3]
sent 153300 bytes to 8. offset is now 153300.
sendfile error :: error no. 32 [Broken pipe]
miniupnpd[8422]: HTTP connection from 10.0.0.4:61721
miniupnpd[8422]: HTTP REQUEST : GET /MediaItems/64$11 (HTTP/1.1)
Range Start-End: 4096-0
ObjectId: 64$11 [/home/nn/ushare/klorin.mp3]
miniupnpd[8422]: Specified range was invalid!
HTTP RESPONSE:
HTTP/1.1 400 Bad Request
Content-Type: text/html
Connection: close
Content-Length: 136

Discussion

  • Justin Maggard

    Justin Maggard - 2008-11-05

    Thanks for the report! Does the request actuall set a Range header of bytes 4096-0 ?? Or is it "4096-"? Have you tried with the latest CVS code?

     
  • Justin Maggard

    Justin Maggard - 2008-11-05
    • assigned_to: nobody --> jmaggard
    • status: open --> open-accepted
     
  • Stedy

    Stedy - 2008-11-06

    yes it report Range Start-End: 4096-0

    i use the lates cvs source, but also comment out line 428 item = dlna_item_new (dlna, path); 486 dlna_item_free(item); in metadata.c. i dont manage to compile whit this lines active.

     
  • Justin Maggard

    Justin Maggard - 2008-11-07

    Please try the latest CVS checkout. Libdlna support is causing your second issue. It is a work in progress right now, so you can disable it by defining LIBDLNA_SUPPORT to 0 at the top of metadata.c.

     
  • Stedy

    Stedy - 2008-11-07

    I have tried out your latest cvs code now and it look like that this bug is solved.
    Thank you for fast respond.

    about the compiling issue.
    when using #define LIBDLNA_SUPPORT 0
    I got one error, fixed by removing "*/" at end of line 494 (name, size, "video/mpeg");*/)

    output from make
    metadata.c: In function ‘GetVideoMetadata’:
    metadata.c:494: error: expected expression before ‘/’ token
    metadata.c:423: warning: unused variable ‘zErrMsg’
    make: *** [metadata.o] Error 1

     
  • Stedy

    Stedy - 2008-11-07
    • status: open-accepted --> open-works-for-me
     
  • Stedy

    Stedy - 2008-11-26
    • status: open-works-for-me --> closed-works-for-me
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks